## globus-gridftp-server 6.16

=== embed/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# embed/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/globus_gridftp_server
pkglibdir = $(libdir)/globus_gridftp_server
pkgincludedir = $(includedir)/globus_gridftp_server
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-redhat-linux-gnu
host_triplet = x86_64-redhat-linux-gnu
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/globus_automake_post \
	$(top_srcdir)/globus_automake_post_top \
	$(top_srcdir)/globus_automake_pre \
	$(top_srcdir)/globus_automake_pre_top
noinst_PROGRAMS = globus-gridftp-server-embedded$(EXEEXT)
subdir = embed
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_globus_gridftp_server_embedded_OBJECTS =  \
	globus_gridftp_server_embedded.$(OBJEXT)
globus_gridftp_server_embedded_OBJECTS =  \
	$(am_globus_gridftp_server_embedded_OBJECTS)
am__DEPENDENCIES_1 =
globus_gridftp_server_embedded_DEPENDENCIES =  \
	$(top_srcdir)/libglobus_gridftp_server.la \
	$(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(globus_gridftp_server_embedded_SOURCES)
DIST_SOURCES = $(globus_gridftp_server_embedded_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/missing --run tar
AR = /usr/bin/ar
ARFLAGS = ruv
AUTOCONF = ${SHELL} /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/missing --run autoconf
AUTOHEADER = ${SHELL} /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/missing --run autoheader
AUTOMAKE = ${SHELL} /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/missing --run automake-1.9
AWK = gawk
BUILD_MANPAGES_FALSE = 
BUILD_MANPAGES_TRUE = #
BUILTIN_EXTENSIONS_DEC = GlobusExtensionDeclareModule(globus_gridftp_server_file); GlobusExtensionDeclareModule(globus_gridftp_server_remote); 
BUILTIN_EXTENSIONS_DEF =  {"globus_gridftp_server_file", GlobusExtensionMyModule(globus_gridftp_server_file)}, {"globus_gridftp_server_remote", GlobusExtensionMyModule(globus_gridftp_server_remote)},
CC = /usr/bin/gcc
CCDEPMODE = depmode=none
CFLAGS = -g   -m64  -Wall -DGLOBUS_BUILTIN
CHKCONFIG_DEFAULT = -
CPP = /usr/bin/gcc -E
CPPFLAGS =  -I/home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/include/globus -I/home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/include/globus/gcc64dbg
CROSS = no
CXX = /usr/bin/c++
CXXCPP = /usr/bin/c++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g   -m64 
CYGPATH_W = echo
DEFAULT_START_LINE = #
DEFAULT_STOP_LINE = #
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIRT_BRANCH_ID = 83
DIRT_TIMESTAMP = 1352462503
DOT = 
DOXYFILE = Doxyfile
DOXYGEN = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ENABLE_PROGRAMS_FALSE = #
ENABLE_PROGRAMS_TRUE = 
EXEEXT = 
F77 = 
F77FLAGS =  
F90 = 
F90FLAGS =  
FFLAGS = 
FILELIST_FILE = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/pkgdata/master.filelist
GLOBUS_FLAVOR_NAME = gcc64dbg
GLOBUS_LOCATION = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core
GLOBUS_TOOLKIT_ID = unknown
GPT_AGE_VERSION = 0
GPT_CFLAGS = 
GPT_CONFIG_CFLAGS = 
GPT_CONFIG_INCLUDES = 
GPT_CONFIG_LIBS = 
GPT_CONFIG_PKG_LIBS = 
GPT_EXTERNAL_INCLUDES = 
GPT_EXTERNAL_LIBS = 
GPT_INCLUDES = 
GPT_IS_2 = yes
GPT_LDFLAGS =  
GPT_LIBS =  
GPT_LIB_LINKS = -version-info 6:16:0  
GPT_LINKTYPE = shared
GPT_LOCATION = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./gpt-3.6.3
GPT_MAJOR_VERSION = 6
GPT_MINOR_VERSION = 16
GPT_PGM_LINKS =  
GPT_PKGCONFIG_DEPENDENCIES = 
GPT_PKG_CFLAGS = 
GRIDMAP_CONF = 
HAVE_DOT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSURE = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -L/home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/lib  -m64 
LDFLHACK = 
LIBOBJS = 
LIBS =   
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/missing --run makeinfo
MODULE_DIRS = . file remote
MODULE_LIBS =  modules/file/libglobus_gridftp_server_file.la modules/remote/libglobus_gridftp_server_remote.la
OBJECT_MODE = 
OBJEXT = o
PACKAGE = globus_gridftp_server
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PERL = /usr/bin/perl
RANLIB = /usr/bin/ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 6.16
WITHOUT_FLAVORS_FALSE = 
WITHOUT_FLAVORS_TRUE = #
XMLLINT = /usr/bin/xmllint
XML_CATALOG_PATH = 
XSLTPROC = /usr/bin/xsltproc
ac_ct_AR = /usr/bin/ar
ac_ct_CC = /usr/bin/gcc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = /usr/bin/ranlib
ac_ct_STRIP = strip
aclocaldir = ${datadir}/globus/aclocal
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-redhat-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = redhat
builddir = .
conf_bindir = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/bin
conf_libdir = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/lib
conf_localstatedir = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/var
conf_sbindir = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/sbin
conf_sysconfdir = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/etc
cross_compiling = no
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datadir}/doc/${PACKAGE}
doxygendir = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/share/doxygen
exec_prefix = ${prefix}
flavorincludedir = ${includedir}/${GLOBUS_FLAVOR_NAME}
host = x86_64-redhat-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = redhat
includedir = ${prefix}/include/globus
infodir = ${prefix}/info
install_sh = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/install-sh
lac_doxygen_examples = 
lac_doxygen_file_patterns = 
lac_doxygen_input_filter = 
lac_doxygen_installdox = 
lac_doxygen_internal_tagfiles = 
lac_doxygen_output_tagfile = 
lac_doxygen_predefines = 
lac_doxygen_project = 
lac_doxygen_srcdirs = 
lac_doxygen_tagfiles = 
libdir = ${exec_prefix}/lib
libexecdir = ${datadir}/globus
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
perlmoduledir = ${prefix}/lib/perl
pkgconfdir = ${libdir}/pkgconfig
pkgconffile = globus-gridftp-server.pc
pkgconffile_in = pkg_data_src.pc.in
pkgdir = ${datadir}/globus/packages/${PACKAGE}
prefix = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
setupdir = ${prefix}/setup/globus
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
testdir = ${prefix}/test/${PACKAGE}
scriptsysconfdir = ${sysconfdir}
amdirdir = ${datadir}/globus_amdir
LINK_BAK = orig
AUTOMAKE_OPTIONS = no-dependencies
EXTRA_DIST = bootstrap globus_automake_pre globus_automake_post \
	globus_automake_pre_top globus_automake_post_top dirt.sh \
	gptdata.sh

# INCLUDES is an automake macro which contains 
# the include directives (-I..) for the compiler.
#
# GPT_INCLUDES contains the include directives generated by GPT 
# from the dependent packages.
INCLUDES = $(GPT_INCLUDES)

# _SOURCES is an automake macro which contains
# a list of sources needed to compile the library.
globus_gridftp_server_embedded_SOURCES = globus_gridftp_server_embedded.c

# _LDFLAGS is an automake macro which contains
# directives to the linker add before the list of objects and libraries.
# 
# GPT_LDFLAGS is a macro that contains the linker directives GPT generated 
# from the dependent packages
globus_gridftp_server_embedded_LDFLAGS = $(GPT_LDFLAGS)

# _LDADD is an automake macro which contains
# directives to the linker added after the list of objects.  
# LDADD is specific for linking programs
# 
# GPT_PGM_LINKS is a macro that contains the linker directives GPT generated 
# from the dependent packages
globus_gridftp_server_embedded_LDADD = \
        $(top_srcdir)/libglobus_gridftp_server.la \
        $(GPT_PGM_LINKS)

DISTCLEANFILES = globus-script-initializer globus-perl-initializer \
	globus-script-libdir-choice globus-perl-libdir-choice

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/globus_automake_pre $(top_srcdir)/globus_automake_pre_top $(top_srcdir)/globus_automake_post $(top_srcdir)/globus_automake_post_top $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  embed/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  embed/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \

=== debian/changelog ===
globus-gridftp-server (6.16-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.3 (Closes: #690652)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 16 Dec 2012 18:50:24 +0100

=== debian/control ===
Source: globus-gridftp-server
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-xio-dev (>= 3), libglobus-authz-dev (>= 2), libglobus-gfork-dev (>= 3), libglobus-ftp-control-dev (>= 4), libglobus-gridftp-server-control-dev (>= 2), libglobus-common-dev (>= 14), libglobus-xio-gsi-driver-dev (>= 2), libglobus-usage-dev (>= 3), libssl-dev
Standards-Version: 3.9.3
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gridftp-server
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-gridftp-server
Homepage: http://www.globus.org/

Package: libglobus-gridftp-server6
Replaces: libglobus-gridftp-server0
Conflicts: libglobus-gridftp-server0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver0 (>= 2)
Description: Globus Toolkit - Globus GridFTP Server
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-gridftp-server6 package contains:
 Globus GridFTP Server

Package: globus-gridftp-server-progs
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver0 (>= 2)
Description: Globus Toolkit - Globus GridFTP Server Programs
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gridftp-server-progs package contains:
 Globus GridFTP Server Programs

Package: libglobus-gridftp-server-dev
Section: libdevel
Architecture: any
Depends: libglobus-gridftp-server6 (= ${binary:Version}), ${misc:Depends}, libglobus-xio-dev (>= 3), libglobus-authz-dev (>= 2), libglobus-gfork-dev (>= 3), libglobus-ftp-control-dev (>= 4), libglobus-gridftp-server-control-dev (>= 2), libglobus-common-dev (>= 14), libglobus-xio-gsi-driver-dev (>= 2), libglobus-usage-dev (>= 3), libssl-dev
Description: Globus Toolkit - Globus GridFTP Server Development Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-gridftp-server-dev package contains:
 Globus GridFTP Server Development Files

Package: globus-gridftp-server-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libglobus-gridftp-server6 (= ${binary:Version}) | globus-gridftp-server-progs (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - Globus GridFTP Server Debug Symbols
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gridftp-server-dbg package contains:
 Globus GridFTP Server Debug Symbols

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

name = globus-gridftp-server
_name = globus_gridftp_server
soname = 6

INSTALLDIR = $(CURDIR)/debian/tmp
GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc/lib$(name)-dev

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 alpha ia64 s390x ppc64 sparc64))
flavor = gcc64
else
flavor = gcc32
endif

configure: configure-stamp

configure-stamp:
	dh_testdir

	/usr/share/globus/globus-bootstrap.sh

	dh_autotools-dev_updateconfig

	GRIDMAP=/etc/grid-security/grid-mapfile ./configure \
	   --disable-static \
	   --with-flavor=$(flavor) \
	   --with-docdir=$(_docdir)

	# Reduce overlinking
	sed 's!CC -shared !CC \\$${wl}--as-needed -shared !g' -i libtool

	touch $@

build: build-arch build-indep

build-arch: build-stamp

build-indep:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	dh_autotools-dev_restoreconfig

	# Remove autogenerated files

	rm -f aclocal.m4
	rm -f configure
	rm -f config.guess
	rm -f config.sub
	rm -f ltmain.sh
	rm -f mkinstalldirs

	rm -f doxygen/Doxyfile*
	rm -f doxygen/Makefile.am
	rm -f pkgdata/Makefile.am
	rm -f pkgdata/*.filelist
	rm -f pkgdata/*.gpt
	rm -f pkgdata/$(name).pc
	rm -f pkgdata/pkg_data_src.pc.in
	rm -f gptdata.sh
	rm -f globus_automake*
	rm -rf autom4te.cache

	rm -f config.h.in
	rm -f embed/Makefile

	find . -name Makefile.in -exec rm {} ';'

	rm -f build-stamp configure-stamp

	dh_clean debian/*.install

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install DESTDIR=$(INSTALLDIR)

	# Remove libtool archives (.la files)
	find $(INSTALLDIR)$(_libdir) -name 'lib*.la' -exec rm -v '{}' \;
	sed '/lib.*\.la$$/d' \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_dev.filelist

	mv $(INSTALLDIR)/etc/gridftp.conf.default \
	   $(INSTALLDIR)/etc/gridftp.conf
	mkdir -p $(INSTALLDIR)/etc/xinetd.d
	mv $(INSTALLDIR)/etc/gridftp.xinetd.default \
	   $(INSTALLDIR)/etc/xinetd.d/gridftp
	mv $(INSTALLDIR)/etc/gridftp.gfork.default \
	   $(INSTALLDIR)/etc/gridftp.gfork
	rm $(GLOBUSPACKAGEDIR)/$(_name)/pkg_data_noflavor_data.gpt
	rm $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_data.filelist

	# No need for environment in gfork scripts
	sed '/ env /d' -i $(INSTALLDIR)/etc/gridftp.gfork
	sed '/^env /d' -i $(INSTALLDIR)/etc/xinetd.d/gridftp

	# Remove start-up scripts
	rm -rf $(INSTALLDIR)/etc/init.d
	sed '/init\.d/d' -i $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist

	# Move server man pages to progs package
	grep '.[18]$$' $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist \
	  >> $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist
	sed '/.[18]$$/d' -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist

	# Remove installed license file
	rm -f $(INSTALLDIR)$(_docdir)/GLOBUS_LICENSE
	sed /GLOBUS_LICENSE/d \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist

	# Generate package filelists
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist \
	    $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)$(soname).install
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/$(name)-progs.install
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_dev.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)-dev.install

	echo debian/tmp/etc/gridftp.conf >> debian/$(name)-progs.install
	echo debian/tmp/etc/gridftp.gfork >> debian/$(name)-progs.install
	echo debian/tmp/etc/xinetd.d/gridftp >> debian/$(name)-progs.install

binary: binary-arch binary-indep

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs debian/README
	dh_installchangelogs
	dh_install --fail-missing
	dh_installman
	dh_installinit --name globus-gridftp-server
	dh_installinit --name globus-gridftp-sshftp
	dh_link
	dh_strip --dbg-package=$(name)-dbg
	dh_compress
	dh_fixperms
	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l debian/lib$(name)$(soname)/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install

## globus-gridftp-server 6.19

=== embed/Makefile ===
--- 
+++ 
@@ -106,7 +106,7 @@
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
 DIRT_BRANCH_ID = 83
-DIRT_TIMESTAMP = 1352462503
+DIRT_TIMESTAMP = 1359994843
 DOT = 
 DOXYFILE = Doxyfile
 DOXYGEN = 
@@ -139,11 +139,11 @@
 GPT_IS_2 = yes
 GPT_LDFLAGS =  
 GPT_LIBS =  
-GPT_LIB_LINKS = -version-info 6:16:0  
+GPT_LIB_LINKS = -version-info 6:19:0  
 GPT_LINKTYPE = shared
 GPT_LOCATION = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./gpt-3.6.3
 GPT_MAJOR_VERSION = 6
-GPT_MINOR_VERSION = 16
+GPT_MINOR_VERSION = 19
 GPT_PGM_LINKS =  
 GPT_PKGCONFIG_DEPENDENCIES = 
 GPT_PKG_CFLAGS = 
@@ -183,7 +183,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-VERSION = 6.16
+VERSION = 6.19
 WITHOUT_FLAVORS_FALSE = 
 WITHOUT_FLAVORS_TRUE = #
 XMLLINT = /usr/bin/xmllint

=== debian/changelog ===
globus-gridftp-server (6.19-2) unstable; urgency=low

  * Add arm64 to the list of 64 bit architectures
  * Don't use AM_CONFIG_HEADER (automake 1.13)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 26 May 2013 21:15:55 +0200

globus-gridftp-server (6.19-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.4

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 20 Feb 2013 14:51:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-xio-dev (>= 3), libglobus-authz-dev (>= 2), libglobus-gfork-dev (>= 3), libglobus-ftp-control-dev (>= 4), libglobus-gridftp-server-control-dev (>= 2), libglobus-common-dev (>= 14), libglobus-xio-gsi-driver-dev (>= 2), libglobus-usage-dev (>= 3), libssl-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: net
-DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gridftp-server
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-gridftp-server
 Homepage: http://www.globus.org/

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,9 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc/lib$(name)-dev
 
-DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 alpha ia64 s390x ppc64 sparc64))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 ia64 kfreebsd-amd64 ppc64 s390x sparc64))
 flavor = gcc64
 else
 flavor = gcc32

## globus-gridftp-server 6.38

=== embed/Makefile ===
--- 
+++ 
@@ -34,8 +34,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = x86_64-redhat-linux-gnu
-host_triplet = x86_64-redhat-linux-gnu
+build_triplet = x86_64-unknown-linux-gnu
+host_triplet = x86_64-unknown-linux-gnu
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
 	$(top_srcdir)/globus_automake_post \
 	$(top_srcdir)/globus_automake_post_top \
@@ -75,15 +75,15 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/missing --run aclocal-1.9
+ACLOCAL = ${SHELL} /home/bamboo/workspace/CreateSourcePackage/source/missing --run aclocal-1.9
 AMDEP_FALSE = #
 AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/missing --run tar
+AMTAR = ${SHELL} /home/bamboo/workspace/CreateSourcePackage/source/missing --run tar
 AR = /usr/bin/ar
 ARFLAGS = ruv
-AUTOCONF = ${SHELL} /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/missing --run automake-1.9
+AUTOCONF = ${SHELL} /home/bamboo/workspace/CreateSourcePackage/source/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/bamboo/workspace/CreateSourcePackage/source/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/bamboo/workspace/CreateSourcePackage/source/missing --run automake-1.9
 AWK = gawk
 BUILD_MANPAGES_FALSE = 
 BUILD_MANPAGES_TRUE = #
@@ -91,22 +91,22 @@
 BUILTIN_EXTENSIONS_DEF =  {"globus_gridftp_server_file", GlobusExtensionMyModule(globus_gridftp_server_file)}, {"globus_gridftp_server_remote", GlobusExtensionMyModule(globus_gridftp_server_remote)},
 CC = /usr/bin/gcc
 CCDEPMODE = depmode=none
-CFLAGS = -g   -m64  -Wall -DGLOBUS_BUILTIN
+CFLAGS = -g -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -m64  -Wall -I/usr/kerberos/include   -DGLOBUS_BUILTIN
 CHKCONFIG_DEFAULT = -
 CPP = /usr/bin/gcc -E
-CPPFLAGS =  -I/home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/include/globus -I/home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/include/globus/gcc64dbg
+CPPFLAGS =  -I/usr/include/globus -I/usr/lib64/globus/include
 CROSS = no
 CXX = /usr/bin/c++
 CXXCPP = /usr/bin/c++ -E
 CXXDEPMODE = depmode=none
-CXXFLAGS = -g   -m64 
+CXXFLAGS = -g -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -m64 
 CYGPATH_W = echo
 DEFAULT_START_LINE = #
 DEFAULT_STOP_LINE = #
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
 DIRT_BRANCH_ID = 83
-DIRT_TIMESTAMP = 1359994843
+DIRT_TIMESTAMP = 1382984154
 DOT = 
 DOXYFILE = Doxyfile
 DOXYGEN = 
@@ -123,9 +123,9 @@
 F90 = 
 F90FLAGS =  
 FFLAGS = 
-FILELIST_FILE = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/pkgdata/master.filelist
-GLOBUS_FLAVOR_NAME = gcc64dbg
-GLOBUS_LOCATION = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core
+FILELIST_FILE = /home/bamboo/workspace/CreateSourcePackage/source/pkgdata/master.filelist
+GLOBUS_FLAVOR_NAME = gcc64
+GLOBUS_LOCATION = /usr
 GLOBUS_TOOLKIT_ID = unknown
 GPT_AGE_VERSION = 0
 GPT_CFLAGS = 
@@ -139,13 +139,13 @@
 GPT_IS_2 = yes
 GPT_LDFLAGS =  
 GPT_LIBS =  
-GPT_LIB_LINKS = -version-info 6:19:0  
+GPT_LIB_LINKS = -version-info 6:38:0  
 GPT_LINKTYPE = shared
-GPT_LOCATION = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./gpt-3.6.3
+GPT_LOCATION = /usr
 GPT_MAJOR_VERSION = 6
-GPT_MINOR_VERSION = 19
+GPT_MINOR_VERSION = 38
 GPT_PGM_LINKS =  
-GPT_PKGCONFIG_DEPENDENCIES = 
+GPT_PKGCONFIG_DEPENDENCIES =  openssl
 GPT_PKG_CFLAGS = 
 GRIDMAP_CONF = 
 HAVE_DOT = 
@@ -155,21 +155,23 @@
 INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
 INSURE = 
 LD = /usr/bin/ld -m elf_x86_64
-LDFLAGS =  -L/home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/lib  -m64 
+LDFLAGS =  -L/usr/lib64  -m64 
 LDFLHACK = 
 LIBOBJS = 
-LIBS =   
+LIBS =    -L/usr/kerberos/lib64 -lssl -lcrypto -ldl -lz  
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LN_S = ln -s
 LTLIBOBJS = 
 MAINT = #
 MAINTAINER_MODE_FALSE = 
 MAINTAINER_MODE_TRUE = #
-MAKEINFO = ${SHELL} /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/bamboo/workspace/CreateSourcePackage/source/missing --run makeinfo
 MODULE_DIRS = . file remote
 MODULE_LIBS =  modules/file/libglobus_gridftp_server_file.la modules/remote/libglobus_gridftp_server_remote.la
 OBJECT_MODE = 
 OBJEXT = o
+OPENSSL_CFLAGS = -I/usr/kerberos/include  
+OPENSSL_LIBS = -L/usr/kerberos/lib64 -lssl -lcrypto -ldl -lz  
 PACKAGE = globus_gridftp_server
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = 
@@ -183,7 +185,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-VERSION = 6.19
+VERSION = 6.38
 WITHOUT_FLAVORS_FALSE = 
 WITHOUT_FLAVORS_TRUE = #
 XMLLINT = /usr/bin/xmllint
@@ -205,33 +207,33 @@
 am__quote = 
 am__tar = ${AMTAR} chof - "$$tardir"
 am__untar = ${AMTAR} xf -
-bindir = ${exec_prefix}/bin
-build = x86_64-redhat-linux-gnu
+bindir = /usr/bin
+build = x86_64-unknown-linux-gnu
 build_alias = 
 build_cpu = x86_64
 build_os = linux-gnu
-build_vendor = redhat
+build_vendor = unknown
 builddir = .
-conf_bindir = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/bin
-conf_libdir = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/lib
-conf_localstatedir = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/var
-conf_sbindir = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/sbin
-conf_sysconfdir = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/etc
+conf_bindir = /usr/bin
+conf_libdir = /usr/lib64
+conf_localstatedir = /var
+conf_sbindir = /usr/sbin
+conf_sysconfdir = /etc
 cross_compiling = no
-datadir = ${datarootdir}
+datadir = /usr/share
 datarootdir = ${prefix}/share
 docdir = ${datadir}/doc/${PACKAGE}
-doxygendir = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core/share/doxygen
-exec_prefix = ${prefix}
-flavorincludedir = ${includedir}/${GLOBUS_FLAVOR_NAME}
-host = x86_64-redhat-linux-gnu
+doxygendir = /usr/share/globus/doxygen
+exec_prefix = /usr
+flavorincludedir = ${libdir}/globus/include
+host = x86_64-unknown-linux-gnu
 host_alias = 
 host_cpu = x86_64
 host_os = linux-gnu
-host_vendor = redhat
+host_vendor = unknown
 includedir = ${prefix}/include/globus
 infodir = ${prefix}/info
-install_sh = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/source-trees/gridftp/server/src/install-sh
+install_sh = /home/bamboo/workspace/CreateSourcePackage/source/install-sh
 lac_doxygen_examples = 
 lac_doxygen_file_patterns = 
 lac_doxygen_input_filter = 
@@ -242,25 +244,26 @@
 lac_doxygen_project = 
 lac_doxygen_srcdirs = 
 lac_doxygen_tagfiles = 
-libdir = ${exec_prefix}/lib
+libdir = /usr/lib64
+libdir_line = 
 libexecdir = ${datadir}/globus
-localstatedir = ${prefix}/var
-mandir = ${datarootdir}/man
+localstatedir = /var
+mandir = /usr/share/man
 mkdir_p = mkdir -p --
 oldincludedir = /usr/include
-perlmoduledir = ${prefix}/lib/perl
+perlmoduledir = /usr/lib/perl5/vendor_perl/5.8.8
 pkgconfdir = ${libdir}/pkgconfig
 pkgconffile = globus-gridftp-server.pc
 pkgconffile_in = pkg_data_src.pc.in
 pkgdir = ${datadir}/globus/packages/${PACKAGE}
-prefix = /home/bamboo/workspace/GT52-RPMCENTOS5/packaging/./source-output/tmp_core
+prefix = /usr
 program_transform_name = s,x,x,
-sbindir = ${exec_prefix}/sbin
-setupdir = ${prefix}/setup/globus
-sharedstatedir = ${prefix}/com
-sysconfdir = ${prefix}/etc
+sbindir = /usr/sbin
+setupdir = ${datadir}/globus/setup
+sharedstatedir = /usr/com
+sysconfdir = /etc
 target_alias = 
-testdir = ${prefix}/test/${PACKAGE}
+testdir = ${datadir}/globus/test/${PACKAGE}
 scriptsysconfdir = ${sysconfdir}
 amdirdir = ${datadir}/globus_amdir
 LINK_BAK = orig
@@ -336,3 +339,32 @@
 
 clean-noinstPROGRAMS:
 	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
+	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
+	  echo " rm -f $$p $$f"; \
+	  rm -f $$p $$f ; \
+	done
+globus-gridftp-server-embedded$(EXEEXT): $(globus_gridftp_server_embedded_OBJECTS) $(globus_gridftp_server_embedded_DEPENDENCIES) 
+	@rm -f globus-gridftp-server-embedded$(EXEEXT)
+	$(LINK) $(globus_gridftp_server_embedded_LDFLAGS) $(globus_gridftp_server_embedded_OBJECTS) $(globus_gridftp_server_embedded_LDADD) $(LIBS)
+
+mostlyclean-compile:
+	-rm -f *.$(OBJEXT)
+
+distclean-compile:
+	-rm -f *.tab.c
+
+.c.o:
+	$(COMPILE) -c $<
+
+.c.obj:
+	$(COMPILE) -c `$(CYGPATH_W) '$<'`
+
+.c.lo:
+	$(LTCOMPILE) -c -o $@ $<
+
+mostlyclean-libtool:
+	-rm -f *.lo
+
+clean-libtool:
+	-rm -rf .libs _libs
+

=== debian/changelog ===
globus-gridftp-server (6.38-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.5
  * Drop patch globus-gridftp-server-ac.patch (fixed upstream)
  * Implement Multi-Arch support
  * Split dbg package for Multi-Arch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 11 Nov 2013 11:31:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: globus-gridftp-server
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-xio-dev (>= 3), libglobus-authz-dev (>= 2), libglobus-gfork-dev (>= 3), libglobus-ftp-control-dev (>= 4), libglobus-gridftp-server-control-dev (>= 2), libglobus-common-dev (>= 14), libglobus-xio-gsi-driver-dev (>= 2), libglobus-usage-dev (>= 3), libssl-dev
+Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8.16), libglobus-common-dev (>= 14.10), libglobus-xio-dev (>= 3.6), libglobus-gridftp-server-control-dev (>= 2.10), libglobus-gfork-dev (>= 3.2-3~), libglobus-xio-gsi-driver-dev (>= 2.4), libglobus-gss-assist-dev (>= 9), libglobus-ftp-control-dev (>= 4.7), libglobus-authz-dev (>= 2.2-3~), libglobus-gsi-credential-dev (>= 6), libglobus-usage-dev (>= 3.1-4~), libssl-dev
 Standards-Version: 3.9.4
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gridftp-server
@@ -9,10 +9,12 @@
 Homepage: http://www.globus.org/
 
 Package: libglobus-gridftp-server6
+Section: libs
+Architecture: any
+Multi-Arch: same
 Replaces: libglobus-gridftp-server0
 Conflicts: libglobus-gridftp-server0
-Section: libs
-Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver0 (>= 2)
 Description: Globus Toolkit - Globus GridFTP Server
  The Globus Toolkit is an open source software toolkit used for
@@ -27,6 +29,7 @@
 Package: globus-gridftp-server-progs
 Section: net
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver0 (>= 2)
 Description: Globus Toolkit - Globus GridFTP Server Programs
  The Globus Toolkit is an open source software toolkit used for
@@ -41,7 +44,8 @@
 Package: libglobus-gridftp-server-dev
 Section: libdevel
 Architecture: any
-Depends: libglobus-gridftp-server6 (= ${binary:Version}), ${misc:Depends}, libglobus-xio-dev (>= 3), libglobus-authz-dev (>= 2), libglobus-gfork-dev (>= 3), libglobus-ftp-control-dev (>= 4), libglobus-gridftp-server-control-dev (>= 2), libglobus-common-dev (>= 14), libglobus-xio-gsi-driver-dev (>= 2), libglobus-usage-dev (>= 3), libssl-dev
+Multi-Arch: same
+Depends: libglobus-gridftp-server6 (= ${binary:Version}), ${misc:Depends}, libglobus-common-dev (>= 14), libglobus-xio-dev (>= 3), libglobus-gridftp-server-control-dev (>= 2), libglobus-gfork-dev (>= 3), libglobus-xio-gsi-driver-dev (>= 2), libglobus-gss-assist-dev (>= 9), libglobus-ftp-control-dev (>= 4), libglobus-authz-dev (>= 2), libglobus-gsi-credential-dev (>= 6), libglobus-usage-dev (>= 3), libssl-dev
 Description: Globus Toolkit - Globus GridFTP Server Development Files
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -52,11 +56,30 @@
  The libglobus-gridftp-server-dev package contains:
  Globus GridFTP Server Development Files
 
+Package: libglobus-gridftp-server-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Replaces: globus-gridftp-server-dbg (<< 6.38)
+Breaks: globus-gridftp-server-dbg (<< 6.38)
+Depends: libglobus-gridftp-server6 (= ${binary:Version}), ${misc:Depends}
+Description: Globus Toolkit - Globus GridFTP Server Debug Symbols
+ The Globus Toolkit is an open source software toolkit used for
+ building Grid systems and applications. It is being developed by the
+ Globus Alliance and many others all over the world. A growing number
+ of projects and companies are using the Globus Toolkit to unlock the
+ potential of grids for their cause.
+ .
+ The libglobus-gridftp-server-dbg package contains:
+ Globus GridFTP Server Debug Symbols
+
 Package: globus-gridftp-server-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libglobus-gridftp-server6 (= ${binary:Version}) | globus-gridftp-server-progs (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: foreign
+Depends: globus-gridftp-server-progs (= ${binary:Version}), ${misc:Depends}
 Description: Globus Toolkit - Globus GridFTP Server Debug Symbols
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the

=== debian/rules ===
--- 
+++ 
@@ -11,17 +11,18 @@
 _prefix = /usr
 _bindir = $(_prefix)/bin
 _sbindir = $(_prefix)/sbin
-_libdir = $(_prefix)/lib
+_libdir = $(_prefix)/lib/$(DEB_HOST_MULTIARCH)
 _datadir = $(_prefix)/share
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc/lib$(name)-dev
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 ia64 kfreebsd-amd64 ppc64 s390x sparc64))
-flavor = gcc64
+ifeq ($(DEB_HOST_ARCH_BITS), 64)
+flavor = gcc64-$(DEB_HOST_MULTIARCH)
 else
-flavor = gcc32
+flavor = gcc32-$(DEB_HOST_MULTIARCH)
 endif
 
 configure: configure-stamp
@@ -29,9 +30,9 @@
 configure-stamp:
 	dh_testdir
 
+	dh_autotools-dev_updateconfig
+
 	/usr/share/globus/globus-bootstrap.sh
-
-	dh_autotools-dev_updateconfig
 
 	GRIDMAP=/etc/grid-security/grid-mapfile ./configure \
 	   --disable-static \
@@ -67,10 +68,11 @@
 	# Remove autogenerated files
 
 	rm -f aclocal.m4
+	rm -f compile
 	rm -f configure
-	rm -f config.guess
-	rm -f config.sub
+	rm -f install-sh
 	rm -f ltmain.sh
+	rm -f missing
 	rm -f mkinstalldirs
 
 	rm -f doxygen/Doxyfile*
@@ -158,13 +160,14 @@
 	dh_installinit --name globus-gridftp-server
 	dh_installinit --name globus-gridftp-sshftp
 	dh_link
-	dh_strip --dbg-package=$(name)-dbg
+	dh_strip -X/bin/ -X/sbin/ --dbg-package=lib$(name)-dbg
+	dh_strip -X/lib/ --dbg-package=$(name)-dbg
 	dh_compress
 	dh_fixperms
 	dh_perl
 	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps -l debian/lib$(name)$(soname)/usr/lib
+	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## globus-gridftp-server 7.11

=== debian/changelog ===
globus-gridftp-server (7.11-1) unstable; urgency=medium

  * Update to Globus Toolkit 6.0
  * Drop GPT build system and GPT packaging metadata
  * Activate hardening flags (Closes: #734920)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 24 Sep 2014 09:45:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: globus-gridftp-server
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8.16), libglobus-common-dev (>= 14.10), libglobus-xio-dev (>= 3.6), libglobus-gridftp-server-control-dev (>= 2.10), libglobus-gfork-dev (>= 3.2-3~), libglobus-xio-gsi-driver-dev (>= 2.4), libglobus-gss-assist-dev (>= 9), libglobus-ftp-control-dev (>= 4.7), libglobus-authz-dev (>= 2.2-3~), libglobus-gsi-credential-dev (>= 6), libglobus-usage-dev (>= 3.1-4~), libssl-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 5), dh-autoreconf, pkg-config, libglobus-common-dev (>= 15), libglobus-xio-dev (>= 3), libglobus-xio-gsi-driver-dev (>= 2), libglobus-gfork-dev (>= 3), libglobus-gridftp-server-control-dev (>= 2), libglobus-ftp-control-dev (>= 4), libglobus-authz-dev (>= 2), libglobus-usage-dev (>= 3), libglobus-gssapi-gsi-dev (>= 10), libglobus-gss-assist-dev (>= 9), libglobus-gsi-credential-dev (>= 6), libglobus-gsi-sysconfig-dev (>= 5), libglobus-io-dev (>= 9), libssl-dev
+Standards-Version: 3.9.6
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gridftp-server
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-gridftp-server
@@ -12,10 +12,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Replaces: libglobus-gridftp-server0
-Conflicts: libglobus-gridftp-server0
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver0 (>= 2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver (>= 2) | libglobus-xio-gsi-driver0 (>= 2)
 Description: Globus Toolkit - Globus GridFTP Server
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -30,7 +28,7 @@
 Section: net
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver0 (>= 2)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Globus Toolkit - Globus GridFTP Server Programs
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -45,7 +43,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libglobus-gridftp-server6 (= ${binary:Version}), ${misc:Depends}, libglobus-common-dev (>= 14), libglobus-xio-dev (>= 3), libglobus-gridftp-server-control-dev (>= 2), libglobus-gfork-dev (>= 3), libglobus-xio-gsi-driver-dev (>= 2), libglobus-gss-assist-dev (>= 9), libglobus-ftp-control-dev (>= 4), libglobus-authz-dev (>= 2), libglobus-gsi-credential-dev (>= 6), libglobus-usage-dev (>= 3), libssl-dev
+Depends: libglobus-gridftp-server6 (= ${binary:Version}), ${misc:Depends}, libglobus-common-dev (>= 15), libglobus-xio-dev (>= 3), libglobus-xio-gsi-driver-dev (>= 2), libglobus-gfork-dev (>= 3), libglobus-gridftp-server-control-dev (>= 2), libglobus-ftp-control-dev (>= 4), libglobus-authz-dev (>= 2), libglobus-usage-dev (>= 3), libglobus-gssapi-gsi-dev (>= 10), libglobus-gss-assist-dev (>= 9), libglobus-gsi-credential-dev (>= 6), libglobus-gsi-sysconfig-dev (>= 5), libglobus-io-dev (>= 9), libssl-dev
 Description: Globus Toolkit - Globus GridFTP Server Development Files
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -61,6 +59,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Replaces: globus-gridftp-server-dbg (<< 6.38)
 Breaks: globus-gridftp-server-dbg (<< 6.38)
 Depends: libglobus-gridftp-server6 (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-include /usr/share/dpkg/buildflags.mk

name = globus-gridftp-server
_name = globus_gridftp_server

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib/$(DEB_HOST_MULTIARCH)
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc/lib$(name)-dev

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

configure: configure-stamp

configure-stamp:
	dh_testdir

	dh_autoreconf

	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
	FFLAGS="$(FFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
	LDFLAGS="$(LDFLAGS) -Wl,--as-needed -Wl,-z,defs" \
	GLOBUS_VERSION=6.0 \
	GRIDMAP=/etc/grid-security/grid-mapfile ./configure \
	   --disable-static \
	   --prefix=$(_prefix) \
	   --libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)' \
	   --sysconfdir=/etc \
	   --localstatedir=/var \
	   --sharedstatedir=/var/lib \
	   --mandir='$${datadir}/man' \
	   --includedir='$${prefix}/include/globus' \
	   --libexecdir='$${datadir}/globus' \
	   --docdir=$(_docdir)

	# Reduce overlinking
	sed 's!CC -shared !CC \\$${wl}--as-needed -shared !g' -i libtool

	touch $@

build: build-arch build-indep

build-arch: build-stamp

build-indep:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	dh_autoreconf_clean

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install DESTDIR=$(INSTALLDIR)

	# Remove libtool archives (.la files)
	rm $(INSTALLDIR)$(_libdir)/*.la

	mv $(INSTALLDIR)/etc/gridftp.conf.default \
	   $(INSTALLDIR)/etc/gridftp.conf
	mkdir -p $(INSTALLDIR)/etc/xinetd.d
	mv $(INSTALLDIR)/etc/gridftp.xinetd.default \
	   $(INSTALLDIR)/etc/xinetd.d/gridftp
	mv $(INSTALLDIR)/etc/gridftp.gfork.default \
	   $(INSTALLDIR)/etc/gridftp.gfork

	# No need for environment in gfork scripts
	sed '/ env /d' -i $(INSTALLDIR)/etc/gridftp.gfork
	sed '/^env /d' -i $(INSTALLDIR)/etc/xinetd.d/gridftp

	# Remove start-up scripts
	rm -rf $(INSTALLDIR)/etc/init.d

	# Remove installed license file
	rm $(INSTALLDIR)$(_docdir)/GLOBUS_LICENSE

binary: binary-arch binary-indep

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs debian/README
	dh_installchangelogs
	dh_install --fail-missing
	dh_installman
	dh_installinit --name globus-gridftp-server
	dh_installinit --name globus-gridftp-sshftp
	dh_link
	dh_strip -X/bin/ -X/sbin/ --dbg-package=lib$(name)-dbg
	dh_strip -X/lib/ --dbg-package=$(name)-dbg
	dh_compress
	dh_fixperms
	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install
